Simple Virtual Machine A simple but flexible virtual machine

Loading...
Searching...
No Matches
Functions
SVM variables detection
SVM variables

This module contains API functions to detect variable types. More...

## Functions
SVM_FUNCTION SVM_Boolean | svm_variable_is_valid (const void *svm, const SVM_Variable variable)
| This function checks whether a variable is valid.
SVM_FUNCTION SVM_Boolean | svm_variable_type_is_value (const void *svm, const SVM_Variable variable)
| This function checks whether a variable contains a value.
SVM_FUNCTION SVM_Boolean | svm_variable_type_is_structure (const void *svm, const SVM_Variable variable)
| This function checks whether a variable contains a structure.
SVM_FUNCTION SVM_Boolean | svm_variable_type_is_parameter (const void *svm, const SVM_Variable variable)
| This function checks whether a variable contains a parameter.
SVM_FUNCTION SVM_Boolean | svm_variable_type_is_accesscontrol (const void *svm, const SVM_Variable variable)
| This function checks whether a variable contains an access control.
SVM_FUNCTION SVM_Boolean | svm_variable_type_is_memoryzone (const void *svm, const SVM_Variable variable)
| This function checks whether a variable contains a memory zone.
SVM_FUNCTION SVM_Boolean | svm_variable_type_is_code (const void *svm, const SVM_Variable variable)
| This function checks whether a variable contains a SVM code.
SVM_FUNCTION SVM_Boolean | svm_variable_type_is_kernel (const void *svm, const SVM_Variable variable)
| This function checks whether a variable contains a kernel.
SVM_FUNCTION SVM_Boolean | svm_variable_type_is_process (const void *svm, const SVM_Variable variable)
| This function checks whether a variable contains a process.
SVM_FUNCTION SVM_Boolean | svm_variable_type_is_processlock (const void *svm, const SVM_Variable variable)
| This function checks whether a variable contains a process lock.
SVM_FUNCTION SVM_Boolean | svm_variable_type_is_scheduler (const void *svm, const SVM_Variable variable)
| This function checks whether a variable contains a scheduler.
SVM_FUNCTION SVM_Boolean | svm_variable_type_is_lock (const void *svm, const SVM_Variable variable)
| This function checks whether a variable contains a lock.
SVM_FUNCTION SVM_Boolean | svm_variable_type_is_lockguardread (const void *svm, const SVM_Variable variable)
| This function checks whether a variable contains a lock guard in read mode.
SVM_FUNCTION SVM_Boolean | svm_variable_type_is_lockguardwrite (const void *svm, const SVM_Variable variable)
| This function checks whether a variable contains a lock guard in write mode.
SVM_FUNCTION SVM_Boolean | svm_variable_type_is_eventqueue (const void *svm, const SVM_Variable variable)
| This function checks whether a variable contains an event queue.
SVM_FUNCTION SVM_Boolean | svm_variable_type_is_eventqueueaddress (const void *svm, const SVM_Variable variable)
| This function checks whether a variable contains an event queue address.

## Detailed Description

This module contains API functions to detect variable types.

## Function Documentation

## ◆ svm_variable_is_valid()

SVM_FUNCTION SVM_Boolean svm_variable_is_valid | ( | const void * | svm,
|  | const SVM_Variable | variable
| ) |  |

This function checks whether a variable is valid.

Parameters

  [in] | svm | The SVM pointer passed as first argument of the callback function.
  [in] | variable | The variable to diagnose.

Returns
  TRUE if the variable is known by the Virtual Machine, FALSE otherwise.

Exceptions

  FAILURE | interruption when a parameter is incorrect. (Please refer to the main description page of this API.)

## ◆ svm_variable_type_is_accesscontrol()

SVM_FUNCTION SVM_Boolean svm_variable_type_is_accesscontrol | ( | const void * | svm,
|  | const SVM_Variable | variable
| ) |  |

This function checks whether a variable contains an access control.

Parameters

  [in] | svm | The SVM pointer passed as first argument of the callback function.
  [in] | variable | The variable to diagnose.

Returns
  TRUE if the variable can be used as a SVM_AccessControl, FALSE otherwise.

Exceptions

  FAILURE | interruption when a parameter is incorrect. (Please refer to the main description page of this API.)

## ◆ svm_variable_type_is_code()

SVM_FUNCTION SVM_Boolean svm_variable_type_is_code | ( | const void * | svm,
|  | const SVM_Variable | variable
| ) |  |

This function checks whether a variable contains a SVM code.

Parameters

  [in] | svm | The SVM pointer passed as first argument of the callback function.
  [in] | variable | The variable to diagnose.

Returns
  TRUE if the variable can be used as a SVM_Code, FALSE otherwise.

Exceptions

  FAILURE | interruption when a parameter is incorrect. (Please refer to the main description page of this API.)

## ◆ svm_variable_type_is_eventqueue()

SVM_FUNCTION SVM_Boolean svm_variable_type_is_eventqueue | ( | const void * | svm,
|  | const SVM_Variable | variable
| ) |  |

This function checks whether a variable contains an event queue.

Parameters

  [in] | svm | The SVM pointer passed as first argument of the callback function.
  [in] | variable | The variable to diagnose.

Returns
  TRUE if the variable can be used as a SVM_Event_Queue, FALSE otherwise.

Exceptions

  FAILURE | interruption when a parameter is incorrect. (Please refer to the main description page of this API.)

## ◆ svm_variable_type_is_eventqueueaddress()

SVM_FUNCTION SVM_Boolean svm_variable_type_is_eventqueueaddress | ( | const void * | svm,
|  | const SVM_Variable | variable
| ) |  |

This function checks whether a variable contains an event queue address.

Parameters

  [in] | svm | The SVM pointer passed as first argument of the callback function.
  [in] | variable | The variable to diagnose.

Returns
  TRUE if the variable can be used as a SVM_Event_Queue_Address, FALSE otherwise.

Exceptions

  FAILURE | interruption when a parameter is incorrect. (Please refer to the main description page of this API.)

## ◆ svm_variable_type_is_kernel()

SVM_FUNCTION SVM_Boolean svm_variable_type_is_kernel | ( | const void * | svm,
|  | const SVM_Variable | variable
| ) |  |

This function checks whether a variable contains a kernel.

Parameters

  [in] | svm | The SVM pointer passed as first argument of the callback function.
  [in] | variable | The variable to diagnose.

Returns
  TRUE if the variable can be used as a SVM_Kernel, FALSE otherwise.

Exceptions

  FAILURE | interruption when a parameter is incorrect. (Please refer to the main description page of this API.)

## ◆ svm_variable_type_is_lock()

SVM_FUNCTION SVM_Boolean svm_variable_type_is_lock | ( | const void * | svm,
|  | const SVM_Variable | variable
| ) |  |

This function checks whether a variable contains a lock.

Parameters

  [in] | svm | The SVM pointer passed as first argument of the callback function.
  [in] | variable | The variable to diagnose.

Returns
  TRUE if the variable can be used as a SVM_Lock, FALSE otherwise.

Exceptions

  FAILURE | interruption when a parameter is incorrect. (Please refer to the main description page of this API.)

## ◆ svm_variable_type_is_lockguardread()

SVM_FUNCTION SVM_Boolean svm_variable_type_is_lockguardread | ( | const void * | svm,
|  | const SVM_Variable | variable
| ) |  |

This function checks whether a variable contains a lock guard in read mode.

Parameters

  [in] | svm | The SVM pointer passed as first argument of the callback function.
  [in] | variable | The variable to diagnose.

Returns
  TRUE if the variable can be used as a SVM_LockGuard_Read, FALSE otherwise.

Exceptions

  FAILURE | interruption when a parameter is incorrect. (Please refer to the main description page of this API.)

## ◆ svm_variable_type_is_lockguardwrite()

SVM_FUNCTION SVM_Boolean svm_variable_type_is_lockguardwrite | ( | const void * | svm,
|  | const SVM_Variable | variable
| ) |  |

This function checks whether a variable contains a lock guard in write mode.

Parameters

  [in] | svm | The SVM pointer passed as first argument of the callback function.
  [in] | variable | The variable to diagnose.

Returns
  TRUE if the variable can be used as a SVM_LockGuard_Write, FALSE otherwise.

Exceptions

  FAILURE | interruption when a parameter is incorrect. (Please refer to the main description page of this API.)

## ◆ svm_variable_type_is_memoryzone()

SVM_FUNCTION SVM_Boolean svm_variable_type_is_memoryzone | ( | const void * | svm,
|  | const SVM_Variable | variable
| ) |  |

This function checks whether a variable contains a memory zone.

Parameters

  [in] | svm | The SVM pointer passed as first argument of the callback function.
  [in] | variable | The variable to diagnose.

Returns
  TRUE if the variable can be used as a SVM_Memory_Zone, FALSE otherwise.

Exceptions

  FAILURE | interruption when a parameter is incorrect. (Please refer to the main description page of this API.)

## ◆ svm_variable_type_is_parameter()

SVM_FUNCTION SVM_Boolean svm_variable_type_is_parameter | ( | const void * | svm,
|  | const SVM_Variable | variable
| ) |  |

This function checks whether a variable contains a parameter.

Parameters

  [in] | svm | The SVM pointer passed as first argument of the callback function.
  [in] | variable | The variable to diagnose.

Returns
  TRUE if the variable can be used as a SVM_Parameter, FALSE otherwise.

Exceptions

  FAILURE | interruption when a parameter is incorrect. (Please refer to the main description page of this API.)

## ◆ svm_variable_type_is_process()

SVM_FUNCTION SVM_Boolean svm_variable_type_is_process | ( | const void * | svm,
|  | const SVM_Variable | variable
| ) |  |

This function checks whether a variable contains a process.

Parameters

  [in] | svm | The SVM pointer passed as first argument of the callback function.
  [in] | variable | The variable to diagnose.

Returns
  TRUE if the variable can be used as a SVM_Process, FALSE otherwise.

Exceptions

  FAILURE | interruption when a parameter is incorrect. (Please refer to the main description page of this API.)

## ◆ svm_variable_type_is_processlock()

SVM_FUNCTION SVM_Boolean svm_variable_type_is_processlock | ( | const void * | svm,
|  | const SVM_Variable | variable
| ) |  |

This function checks whether a variable contains a process lock.

Parameters

  [in] | svm | The SVM pointer passed as first argument of the callback function.
  [in] | variable | The variable to diagnose.

Returns
  TRUE if the variable can be used as a SVM_Process_Lock, FALSE otherwise.

Exceptions

  FAILURE | interruption when a parameter is incorrect. (Please refer to the main description page of this API.)

## ◆ svm_variable_type_is_scheduler()

SVM_FUNCTION SVM_Boolean svm_variable_type_is_scheduler | ( | const void * | svm,
|  | const SVM_Variable | variable
| ) |  |

This function checks whether a variable contains a scheduler.

Parameters

  [in] | svm | The SVM pointer passed as first argument of the callback function.
  [in] | variable | The variable to diagnose.

Returns
  TRUE if the variable can be used as a SVM_Scheduler, FALSE otherwise.

Exceptions

  FAILURE | interruption when a parameter is incorrect. (Please refer to the main description page of this API.)

## ◆ svm_variable_type_is_structure()

SVM_FUNCTION SVM_Boolean svm_variable_type_is_structure | ( | const void * | svm,
|  | const SVM_Variable | variable
| ) |  |

This function checks whether a variable contains a structure.

Parameters

  [in] | svm | The SVM pointer passed as first argument of the callback function.
  [in] | variable | The variable to diagnose.

Returns
  TRUE if the variable can be used as a SVM_Structure, FALSE otherwise.

Exceptions

  FAILURE | interruption when a parameter is incorrect. (Please refer to the main description page of this API.)

## ◆ svm_variable_type_is_value()

SVM_FUNCTION SVM_Boolean svm_variable_type_is_value | ( | const void * | svm,
|  | const SVM_Variable | variable
| ) |  |

This function checks whether a variable contains a value.

Parameters

  [in] | svm | The SVM pointer passed as first argument of the callback function.
  [in] | variable | The variable to diagnose.

Returns
  TRUE if the variable can be used as a SVM_Value, FALSE otherwise.

Exceptions

  FAILURE | interruption when a parameter is incorrect. (Please refer to the main description page of this API.)